Skip to content
First requestVisit website ↗
Navigation

Get notifications for workspace

Retrieve all notifications for a specific workspace with filtering

GET
https://api.channelautomation.com/api/notifications/{workspaceId}

Authorization

  • BearerAuth
    HTTP Bearer (JWT)
    required

Path parameters

  • workspaceId
    string
    required

    Workspace ID

Query parameters

  • read
    optional
    boolean

    Filter by read status

  • type
    optional
    info
    or
    success
    or
    warning
    or
    error

    Filter by notification type

  • priority
    optional
    low
    or
    medium
    or
    high
    or
    urgent

    Filter by priority level

  • limit
    optional
    integer

    Number of items to return

    maximum: 100 · minimum: 1 · default: 50
  • offset
    optional
    integer

    Number of items to skip

    minimum: 0 · default: 0

Returns

200

Notifications retrieved successfully

JSON
  • success
    optional
    boolean
  • notifications
    optional
    array of
    object
    • id
      optional
      string

      Unique notification identifier

    • workspace_id
      optional
      string

      Workspace ID

    • title
      optional
      string

      Notification title

    • message
      optional
      string

      Notification message content

    • type
      optional
      info
      or
      success
      or
      warning
      or
      error

      Notification type

    • priority
      optional
      low
      or
      medium
      or
      high
      or
      urgent

      Notification priority level

    • read
      optional
      boolean

      Whether notification has been read

      default: false
    • dismissed
      optional
      boolean

      Whether notification has been dismissed

      default: false
    • created_at
      optional
      string

      Notification creation timestamp

      format: date-time
    • updated_at
      optional
      string

      Last update timestamp

      format: date-time
  • total
    optional
    integer

    Total number of notifications

  • unread_count
    optional
    integer

    Number of unread notifications

500

Server error

Type to search…

↑↓ navigate↵ selectEsc close